


mob/verb/ViewHub()

	var/path = input(src, "Choose the path for the hub page you want to view. \
		Paths are entered in the format of Author.Title, such as Abra.Castle or \
		IccusionEntertainment.Seika.", "Path") as text

	// If the hub page is invalid, don't do anything.
	var/hub_page/page = new(path)
	if(!page)
		src << "Could not access hub path: [path]."
		return

	// View some basic information about the game.
	src << "[page.title], created by [page.author] (version [page.version])."
	src << "Description: [page.short_desc]"
	src << "Detected [page.servers.len] server\s for this game."

	// If there are any servers hosted, display their status and a join link.
	if(page.servers.len)

		for(var/hub_server/server in page.servers)
			src << "<a href=[server.url]>[server.status]</a>"

			// If there are any players in the server, list who is playing.
			if(server.users)
				src << "Players:"

				for(var/player in server.users)
					src << "\t[player]"

	// Spacer
	src << ""

	return